#ifndef MATRIX_OPERATION_H
#define MATRIX_OPERATION_H
#include "sparse_matrix.h"

void multiply_vector_matrix(const double *vector, const SparseMatrix *matrix, double *result);
void multiply_vector_matrix_parallel(const double *vector, const SparseMatrix *matrix, double *result);
void convert_to_stochastic(SparseMatrix *matrix);
int compare_arcs(const void *a, const void *b);

#endif
